#include <iostream>
using namespace std;

class myclass {
	int x;
public:
	myclass(){x = 0;}
	myclass(int n){x = n;}
	int getx(){return x;}
	void setx(int n){x = n;}
};

int main()
{
	myclass *p;
	myclass ob(10);
	
	p = new myclass[10] {1,2,3,4,5,6,7,8,9,10};
	
	for(int i = 0; i < 10; i++){
		cout << "p[" << i << "]: " << p[i].getx();
		cout << "\n";
	}
	
	return 0;
}